import * as a11yAddonAnnotations from "@storybook/addon-a11y/preview";
import { setProjectAnnotations } from '@storybook/react-vite';
import * as projectAnnotations from './preview';

// This is an important step to apply the right configuration when testing your stories.
// More info at: https://storybook.js.org/docs/api/portable-stories/portable-stories-vitest#setprojectannotations
setProjectAnnotations([a11yAddonAnnotations, projectAnnotations]);

// .storybook/preview.js

export const parameters = {
  backgrounds: {
    default: 'custom',
    values: [
      {
        name: 'custom',
        value: 'red', // 👈 Your desired canvas background color
      },
    ],
  },
};
